@use './digi-docs-code-examples-code-block.variables' as *;

$white-space: pre-wrap;

digi-docs-code-examples-code-block {
	@include digi-docs-code-examples-code-block--variables;
	$base: '.digi-code-block';

	display: block;

	.digi-code-block {
		max-width: calc(100vw - var(--digi--container-gutter--base) * 2);
		padding: var(--digi--global--spacing--largest-2);
		position: relative;
		box-sizing: border-box;

		pre {
			margin: 0;
		}

		
			/**
      * a11y-light theme for JavaScript, CSS, and HTML
      * Based on the okaidia theme: https://github.com/PrismJS/prism/blob/gh-pages/themes/prism-okaidia.css
      * @author ericwbailey
      */

			code[class*='language-'],
			pre[class*='language-'] {
				color: #fff;
				background: none;
				font-family: var(--digi--global--typography--font-family--mono);
				text-align: left;
				white-space: $white-space;
				word-spacing: normal;
				word-break: normal;
				word-wrap: normal;
				line-height: 1.5;

				-moz-tab-size: 4;
				-o-tab-size: 4;
				tab-size: 4;

				-webkit-hyphens: none;
				-moz-hyphens: none;
				-ms-hyphens: none;
				hyphens: none;
			}

			/* Code blocks */
			pre[class*='language-'] {
				overflow: hidden;
			}



			/* Inline code */
			:not(pre) > code[class*='language-'] {
				padding: 0.1em;
				white-space: normal;
			}
			
			/* CODE THEMING GOES HERE */
			.token.comment,
.token.prolog,
.token.doctype,
.token.cdata {
	color: #228a5f;
}
.token.plain-text,
.token.tag .token.punctuation,
.token.punctuation{
	color: #fff;
}


.namespace {
	opacity: .7;
}

.token.property,
.token.tag,
.token.boolean,
.token.number,
.token.constant,
.token.symbol {
	color: #f19875;
}
.token.tag .token.script{
	color: #d8ed98;
	.token.constant{
		color:#e4ebcb;
	}
	.token.boolean{
		color:#f6cf06;
	}
}

.token.selector,
.token.attr-name,
.token.char,
.token.builtin,
.token.inserted {
	color: #bde052;
}

.token.operator,
.token.entity,
.token.url,
.language-css .token.string,
.style .token.string,
.token.variable,
.token.string {
	color: #f6cf06;
}

.token.atrule,
.token.attr-value{
	color: #f6cf06;
}
.token.keyword{
	color:#c586c0;
}
.token.regex,
.token.important {
	color: #e90;
}

.token.important,
.token.bold {
	font-weight: bold;
}
.token.italic {
	font-style: italic;
}

.token.entity {
	cursor: help;
}

.token.deleted {
	color: red;
}

			@media screen and (-ms-high-contrast: active) {
				code[class*='language-'],
				pre[class*='language-'] {
					color: windowText;
					background: window;
				}

				:not(pre) > code[class*='language-'],
				pre[class*='language-'] {
					background: window;
				}

				.token.important {
					background: highlight;
					color: window;
					font-weight: normal;
				}

				.token.atrule,
				.token.attr-value,
				.token.function,
				.token.keyword,
				.token.operator,
				.token.selector {
					font-weight: bold;
				}

				.token.attr-value,
				.token.comment,
				.token.doctype,
				.token.function,
				.token.keyword,
				.token.operator,
				.token.property,
				.token.string {
					color: highlight;
				}

				.token.attr-value,
				.token.url {
					font-weight: normal;
				}
			}
		

	}
}
